<?php $r="../../";
require_once($r."inc/funciones.php");
validNotSession($r);
$id=$_GET['id'];
$tabla='z_clientes'; // Tabla que se va modificar
$tipo='Cliente'; // Usuario a Modificar
$mysqli = connectDB($r);

/* FORMULARIO NUEVO */
if(isset($_POST["nuevo"])){
    $nombre=strtoupper($_POST['nombre']);
    if($nombre==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>El Nombre de la Empresa es Obligatorio</h6></div>';exit();}
    $cedula=$_POST['cedula'];
    if($cedula!=""){
        $qry1 = $mysqli->query("SELECT * FROM z_clientes WHERE cedula='$cedula' AND eliminado='0'");
        $num1 = $qry1->num_rows;
        if($num1 > 0){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Ese Cliente Ya se encuentra registrado</h6></div>';exit();}
    }else{ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>El Nit o Cedula es Obligatorio</h6></div>';exit();}
    $direccion=strtolower($_POST['direccion']);
    if($direccion==""){echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>La Direción de la Empresa es Obligatoria</h6></div>';exit();}
    $correo=strtolower($_POST['correo']);
    if($correo==""){echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>La Correo Electronico es Obligatorio</h6></div>';exit();}
    $facturacion=$_POST['facturacion'];
    if($facturacion==""){echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>El Tipo de Facturación es Obligatorio</h6></div>';exit();}
    $contacto1=ucwords(strtolower($_POST['contacto1']));
    $celular1=$_POST['celular1'];
    $telefono1=$_POST['telefono1'];
    if($celular1=="" && $telefono1==""){echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Es Necesario un Numero de Contacto Celular o Fijo</h6></div>';exit();}
    $contacto2=ucwords(strtolower($_POST['contacto2']));
    $telefono2=$_POST['telefono2'];
    $tipocliente=strtolower($_POST['tipocliente']);
    $facturacion=strtolower($_POST['facturacion']);
    $ruta=strtolower($_POST['ruta']);
    $nota=strtolower($_POST['nota']);
    $pais='COLOMBIA';
    $departamento=$_POST['departamento'];
    $municipio=$_POST['municipio'];
    if($municipio=="107"){if($_POST['localidad']==""){echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Es Necesaria Una Localidad</h6></div>';exit();}}
    $zona=$_POST['zona'];
    $localidad=$_POST['localidad'];
    $barrio=$_POST['barrio'];
    if($direccion=="" && $contacto1=="" && $departamento=="" && $municipio==""){echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Todos los campos con * son obligatorios</h6></div>';exit();}
    $cedula=mysqli_real_escape_string($mysqli, $cedula);
    $nombre=mysqli_real_escape_string($mysqli, $nombre);    
    $correo=mysqli_real_escape_string($mysqli, $correo);
    $contacto1=mysqli_real_escape_string($mysqli, $contacto1);
    $direccion=mysqli_real_escape_string($mysqli, $direccion);
    $celular1=mysqli_real_escape_string($mysqli, $celular1);
    $telefono1=mysqli_real_escape_string($mysqli, $telefono1);
    $contacto2=mysqli_real_escape_string($mysqli, $contacto2);
    $telefono2=mysqli_real_escape_string($mysqli, $telefono2);
    $nota=mysqli_real_escape_string($mysqli, $nota);
    $tipocliente=mysqli_real_escape_string($mysqli, $tipocliente);
    $perfil=mysqli_real_escape_string($mysqli, $perfil);
    $ruta=mysqli_real_escape_string($mysqli, $ruta);
    $pais=mysqli_real_escape_string($mysqli, $pais);
    $departamento=mysqli_real_escape_string($mysqli, $departamento);
    $municipio=mysqli_real_escape_string($mysqli, $municipio);
    $localidad=mysqli_real_escape_string($mysqli, $localidad);
    $zona=mysqli_real_escape_string($mysqli, $zona);
    $barrio=mysqli_real_escape_string($mysqli, $barrio);
    $sql="INSERT INTO z_clientes (cedula, nombre, correo, contacto1, direccion, celular1, telefono1, contacto2, telefono2, nota, pais, departamento, municipio, localidad, zona, barrio, tipocliente, facturacion ,ruta) VALUES ('$cedula','$nombre','$correo','$contacto1','$direccion','$celular1','$telefono1','$contacto2','$telefono2','$nota','$pais','$departamento','$municipio','$localidad','$zona','$barrio','$tipocliente','$facturacion','$ruta')";
    if ($mysqli->query($sql) === TRUE) {
        $mysqli->close();
        echo 'index.php?msn=El '.$tipo.' <b>"'.$nombre.'"</b> ha se a Creado';
        exit();
    } else {
        echo "Error: " . $sql . "<br>" . $mysqli->error;
        $mysqli->close();
    }
    exit();
}

/* FORMULARIO EDITAR O ACTUALIZAR */
if(isset($_POST["editar"])){
    $id=$_POST['editar'];
    $nombre=strtoupper($_POST['nombre']);
    //if($nombre==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>El Nombre de la Empresa es Obligatorio</h6></div>';exit();}
    $cedula=$_POST['cedula'];
    if($cedula==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>El Nit o Cedula es Obligatorio</h6></div>';exit();}
    $direccion=strtolower($_POST['direccion']);
    //if($direccion==""){echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>La Direción de la Empresa es Obligatoria</h6></div>';exit();}
    $correo=strtolower($_POST['correo']);
    //if($correo==""){echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>La Correo Electronico es Obligatorio</h6></div>';exit();}
    $facturacion=$_POST['facturacion'];
    if($facturacion==""){echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>El Tipo de Facturación es Obligatorio</h6></div>';exit();}
    $contacto1=ucwords(strtolower($_POST['contacto1']));
    $celular1=$_POST['celular1'];
    $telefono1=$_POST['telefono1'];
    //if($celular1=="" && $telefono1==""){echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Es Necesario un Numero de Contacto Celular o Fijo</h6></div>';exit();}
    $contacto2=ucwords(strtolower($_POST['contacto2']));
    $telefono2=$_POST['telefono2'];
    $nota=strtolower($_POST['nota']);
    $tipocliente=strtolower($_POST['tipocliente']);
    $perfil=strtolower($_POST['perfil']);
    $ruta=strtolower($_POST['ruta']);
    $pais='COLOMBIA';
    $departamento=$_POST['departamento'];
    $municipio=$_POST['municipio'];
    //if($municipio=="107"){if($_POST['localidad']==""){echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Es Necesaria Una Localidad</h6></div>';exit();}}
    $zona=$_POST['zona'];
    $localidad=$_POST['localidad'];
    $barrio=$_POST['barrio'];
    $cedula=mysqli_real_escape_string($mysqli, $cedula);
    $nombre=mysqli_real_escape_string($mysqli, $nombre);    
    $correo=mysqli_real_escape_string($mysqli, $correo);
    $contacto1=mysqli_real_escape_string($mysqli, $contacto1);
    $direccion=mysqli_real_escape_string($mysqli, $direccion);
    $celular1=mysqli_real_escape_string($mysqli, $celular1);
    $telefono1=mysqli_real_escape_string($mysqli, $telefono1);
    $contacto2=mysqli_real_escape_string($mysqli, $contacto2);
    $telefono2=mysqli_real_escape_string($mysqli, $telefono2);
    $tipocliente=mysqli_real_escape_string($mysqli, $tipocliente);
    $perfil=mysqli_real_escape_string($mysqli, $perfil);
    $ruta=mysqli_real_escape_string($mysqli, $ruta);
    $nota=mysqli_real_escape_string($mysqli, $nota);
    $pais=mysqli_real_escape_string($mysqli, $pais);
    $departamento=mysqli_real_escape_string($mysqli, $departamento);
    $municipio=mysqli_real_escape_string($mysqli, $municipio);
    $localidad=mysqli_real_escape_string($mysqli, $localidad);
    $zona=mysqli_real_escape_string($mysqli, $zona);
    $barrio=mysqli_real_escape_string($mysqli, $barrio);
    if($direccion=="" && $contacto1=="" && $departamento=="" && $municipio==""){echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Todos los campos con * son obligatorios</h6></div>';exit();}
    if($cedula!=""){$mysqli->query("UPDATE $tabla SET cedula='$cedula' WHERE id='$id'");}
    if($nombre!=""){$mysqli->query("UPDATE $tabla SET nombre='$nombre' WHERE id='$id'");}    
    if($correo!=""){$mysqli->query("UPDATE $tabla SET correo='$correo' WHERE id='$id'");}
    if($facturacion!=""){$mysqli->query("UPDATE $tabla SET facturacion='$facturacion' WHERE id='$id'");}
    if($contacto1!=""){$mysqli->query("UPDATE $tabla SET contacto1='$contacto1' WHERE id='$id'");}
    if($direccion!=""){$mysqli->query("UPDATE $tabla SET direccion='$direccion' WHERE id='$id'");}
    if($celular1!=""){$mysqli->query("UPDATE $tabla SET celular1='$celular1' WHERE id='$id'");}
    if($telefono1!=""){$mysqli->query("UPDATE $tabla SET telefono1='$telefono1' WHERE id='$id'");}
    if($contacto2!=""){$mysqli->query("UPDATE $tabla SET contacto2='$contacto2' WHERE id='$id'");}
    if($telefono2!=""){$mysqli->query("UPDATE $tabla SET telefono2='$telefono2' WHERE id='$id'");}
    if($tipocliente!=""){$mysqli->query("UPDATE $tabla SET tipocliente='$tipocliente' WHERE id='$id'");}
    if($perfil!=""){$mysqli->query("UPDATE $tabla SET perfil='$perfil' WHERE id='$id'");}
    if($facturacion!=""){$mysqli->query("UPDATE $tabla SET facturacion='$facturacion' WHERE id='$id'");}
    if($ruta!=""){$mysqli->query("UPDATE $tabla SET ruta='$ruta' WHERE id='$id'");}
    if($nota!=""){$mysqli->query("UPDATE $tabla SET nota='$nota' WHERE id='$id'");}
    if($departamento!=""){$mysqli->query("UPDATE $tabla SET departamento='$departamento' WHERE id='$id'");}
    if($municipio!=""){$mysqli->query("UPDATE $tabla SET municipio='$municipio' WHERE id='$id'");}
    if($localidad!=""){$mysqli->query("UPDATE $tabla SET localidad='$localidad' WHERE id='$id'");}
    if($zona!=""){$mysqli->query("UPDATE $tabla SET zona='$zona' WHERE id='$id'");}
    if($barrio!=""){$mysqli->query("UPDATE $tabla SET barrio='$barrio' WHERE id='$id'");}
    echo 'index.php?msn=El '.$tipo.' <b>"'.$nombre.'"</b> ha sido actualizado!';
    exit();
}

// Reset
/*if(isset($_GET["reset"])) {
$row1 = $mysqli->query("SELECT * FROM $tabla WHERE id='$id'");
$row1=$row1->fetch_assoc();
$pass=sha1($row1['cedula']);
$mysqli->query("UPDATE $tabla SET contraseña='$pass' WHERE id='$id'");
$mysqli->query("UPDATE $tabla SET cpass='1' WHERE id='$id'");
exit(header("Location: index.php?msn=La contraseña del $tipo <b>".$row1['nombre']."</b> ha sido cambiada!"));
}
// Eliminar
else*/if(isset($_GET["eliminar"])) {
$row1=$mysqli->query("SELECT * FROM $tabla WHERE id='$id'");
$row2=$row1->fetch_assoc();
$mysqli->query("UPDATE $tabla SET eliminado='1' WHERE id='$id'");
exit(header("Location: index.php?error=El $tipo <b>".$row2['nombre']."</b> ha sido desactivado!"));
}/*
// Eliminar
else*/if(isset($_GET["activar"])) {
$row1=$mysqli->query("SELECT * FROM $tabla WHERE id='$id'");
$row2=$row1->fetch_assoc();
$mysqli->query("UPDATE $tabla SET eliminado='0' WHERE id='$id'");
exit(header("Location: index.php?msn=El $tipo <b>".$row2['nombre']."</b> ha sido activado!"));
}/*
// Desactivar
elseif(isset($_GET["desactivar"])) {
$row1 = $mysqli->query("SELECT * FROM $tabla WHERE id='$id'");
$row1=$row1->fetch_assoc();
$mysqli->query("UPDATE $tabla SET estado='0' WHERE id='$id'");
exit(header("Location: index.php?msn=El $tipo <b>".$row1['nombre']."</b> ha sido desactivado!"));
}
// Activar
elseif(isset($_GET["activar"])) {
$row1 = $mysqli->query("SELECT * FROM $tabla WHERE id='$id'");
$row1=$row1->fetch_assoc();
$mysqli->query("UPDATE $tabla SET estado='1' WHERE id='$id'");
exit(header("Location: index.php?msn=El $tipo <b>".$row1['nombre']."</b> ha sido activado!"));
}*/
?>